v_sdirxss: xsdi_example.c File Reference

| v_sdirxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions | Variables
xsdi_example.c File Reference

## Overview

This file demonstrates how to use Xilinx SDI Subsystem for passthrough mode on ZCU106 board.

This file demonstrates how to use Xilinx SDI Rx Subsystem for standalone.

It takes SDI data input through SDI Rx Subsystem and passes the same data as SDI Data out through SDI Tx Subsystem.

    MODIFICATION HISTORY:

    Ver   Who  Date       Changes

    1.0  PG   05/09/2017 Initial version

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  PG     08/11/17 Initial release.

## Macros
#define | I2C_MUX_ADDR 0x74
| I2C Mux Address. More...
#define | I2C_CLK_ADDR 0x69
| I2C Clk Address. More...
#define | I2C_CLK_ADDR_570 0x5D
| I2C Clk Address for Si570. More...

## Functions
void | ClearScreen (void)
| This function Clears Uart terminal screen. More...
void | RxStreamUpCallback (void *CallbackRef)
| This function is called when the RX Lock occurs, it calculates the frequency wrt RxTransMode, programs SI5324 with the calculated frequency and then enables Rx stream flow IPs. More...
void | RxStreamDownCallback (void *CallbackRef)
| This function is called when the RX looses lock, and it stops SDI Tx Subsystem. More...
void | Xil_AssertCallbackRoutine (u8 *File, s32 Line)
| This function is called when assertion hits in the file. More...
int | Si570_SetClock (u32 IICBaseAddress, u8 IICAddress1)
| Set the output frequency of the Si570 clock generator. More...
void | Info (void)
| This function outputs the video information on TX and RX. More...
void | DebugInfo (void)
| This function outputs the debug information. More...
void | RxOverFlowCallback (void *CallbackRef)
| This function is called when the RX Over flow happens. More...
void | RxUnderFlowCallback (void *CallbackRef)
| This function is called when the RX Under flow happens. More...
int | main (void)
| Main function to call example with SDI TX and SDI RX drivers. More...

## Variables
XSdi_Menu | SdiMenu
| Menu structure. More...

## Macro Definition Documentation

#define I2C_CLK_ADDR 0x69

I2C Clk Address.

#define I2C_CLK_ADDR_570 0x5D

I2C Clk Address for Si570.

Referenced by main().

#define I2C_MUX_ADDR 0x74

I2C Mux Address.

## Function Documentation

void ClearScreen | ( | void |  | ) |

This function Clears Uart terminal screen.

Returns
  None

Note
  None.

< Clear Sreen

< Bring Cursor to 0,0

Referenced by main().

void DebugInfo | ( | void |  | ) |

This function outputs the debug information.

Returns
  None.

Note
  None.

References XV_SdiRxSs_ReportDebugInfo().

void Info | ( | void |  | ) |

This function outputs the video information on TX and RX.

Returns
  None.

Note
  None.

References XV_SdiRxSs_ReportInfo().

int main | ( | void |  | ) |

Main function to call example with SDI TX and SDI RX drivers.

Returns
  - XST_SUCCESS if SDI example was successfully.
  - XST_FAILURE if SDI example failed.

Note
  None.

References XV_SdiRxSs_Config::BaseAddress, ClearScreen(), I2C_CLK_ADDR_570, XV_SdiRxSs::IsReady, RxOverFlowCallback(), RxStreamDownCallback(), RxStreamUpCallback(), RxUnderFlowCallback(), Si570_SetClock(), Xil_AssertCallbackRoutine(), XV_SdiRxSs_CfgInitialize(), XV_SDIRXSS_HANDLER_OVERFLOW, XV_SDIRXSS_HANDLER_STREAM_DOWN, XV_SDIRXSS_HANDLER_STREAM_UP, XV_SDIRXSS_HANDLER_UNDERFLOW, XV_SdiRxSs_IntrDisable(), XV_SdiRxSs_IntrEnable(), XV_SdiRxSs_LookupConfig(), XV_SdiRxSS_SdiRxIntrHandler(), and XV_SdiRxSs_SetCallback().

void RxOverFlowCallback | ( | void * | CallbackRef | ) |

This function is called when the RX Over flow happens.

Parameters

  CallbackRef | is a callback function reference.

Returns
  None.

Note
  None.

Referenced by main().

void RxStreamDownCallback | ( | void * | CallbackRef | ) |

This function is called when the RX looses lock, and it stops SDI Tx Subsystem.

Parameters

  CallbackRef | is a callback function reference.

Returns
  None.

Note
  None.

Referenced by main().

void RxStreamUpCallback | ( | void * | CallbackRef | ) |

This function is called when the RX Lock occurs, it calculates the frequency wrt RxTransMode, programs SI5324 with the calculated frequency and then enables Rx stream flow IPs.

Parameters

  CallbackRef | is a callback function reference.

Returns
  None.

Note
  None.

Referenced by main().

void RxUnderFlowCallback | ( | void * | CallbackRef | ) |

This function is called when the RX Under flow happens.

Parameters

  CallbackRef | is a callback function reference.

Returns
  None.

Note
  None.

Referenced by main().

int Si570_SetClock | ( | u32 | IICBaseAddress,
|  | u8 | IICAddress1
| ) |  |

Set the output frequency of the Si570 clock generator.

Parameters

  IICBaseAddress | contains the base address of the IIC master device.
  IICAddress1 | contains the 7 bit IIC address of the Si5324 device.

Returns
  SI5324_SUCCESS for success, SI5324_ERR_IIC for IIC access failure, SI5324_ERR_FREQ when the requested frequency cannot be generated, SI5324_ERR_PARM when the ClkSrc or ClkDest parameters are invalid or the ClkInFreq or ClkOutFreq are out of range.

void Xil_AssertCallbackRoutine | ( | u8 * | File,
|  | s32 | Line
| ) |  |

This function is called when assertion hits in the file.

Parameters

  File | - File name where assertion occured. Line - Line number in this file.

Returns
  None.

Note
  None.

Referenced by main().

## Variable Documentation

XSdi_Menu SdiMenu

Menu structure.